com.interactivemesh.jfx.importer.stl

## Enum StlImportOption

- java.lang.Object
- - java.lang.Enum<StlImportOption>
  - - com.interactivemesh.jfx.importer.stl.StlImportOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StlImportOption>

      public enum StlImportOption
      extends java.lang.Enum<StlImportOption>

  Import options for the JavaFX STL mesh importer.
  See Also:
    `StlMeshImporter.getOptions()`, `StlMeshImporter.setOptions(java.util.EnumSet)`, `StlMeshImporter.setOptions(StlImportOption...)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CALCULATE_FACET_NORMAL` The facet normals will be calculated.
    `NONE` No option is applied.
    `REVERSE_GEOMETRY` The winding of the triangles will be reversed (counterclockwise <-> clockwise).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StlImportOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StlImportOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final StlImportOption NONE

      No option is applied.

    - #### CALCULATE_FACET_NORMAL

          public static final StlImportOption CALCULATE_FACET_NORMAL

      The facet normals will be calculated. The facet normals in the imported file will be ignored.

    - #### REVERSE_GEOMETRY

          public static final StlImportOption REVERSE_GEOMETRY

      The winding of the triangles will be reversed (counterclockwise <-> clockwise).

  - ### Method Detail

    - #### values

          public static StlImportOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StlImportOption c : StlImportOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StlImportOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (C) 2013-2014 InteractiveMesh e.K.